Latest
curl --request GET \
--url https://api.themoviedb.org/3/tv/latest \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/latest"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"adult": false,
"backdrop_path": "/7znzkZqpnFgStYsb7NJdJ0RfbHD.jpg",
"created_by": [
{
"credit_id": "677affb4816b2810d166fe5c",
"gender": 0,
"id": 4852413,
"name": "Ludovic Daxhelet",
"original_name": "Ludovic Daxhelet",
"profile_path": "/pZPAX2jRDyyCgi3m6bhoUGuFJy0.jpg"
}
],
"episode_run_time": [
30
],
"first_air_date": "2019-10-05",
"genres": [
{
"id": 99,
"name": "Documentary"
},
{
"id": 10751,
"name": "Family"
}
],
"homepage": "https://www.rtlplay.be/rtlplay/planete-zoo~d3a41ba7-2618-476e-84ca-c9e4777b9863/saison-5#episodes",
"id": 281223,
"in_production": true,
"languages": [
"fr"
],
"last_air_date": "2023-03-19",
"last_episode_to_air": {
"air_date": "2023-03-19",
"episode_number": 3,
"episode_type": "standard",
"id": 5879368,
"name": "Episode 3",
"overview": "",
"production_code": "",
"runtime": null,
"season_number": 5,
"show_id": 281223,
"still_path": null,
"vote_average": 0,
"vote_count": 0
},
"name": "Planète Zoo",
"networks": [
{
"id": 1846,
"logo_path": "/lyo2nqmPCpXBWvMIQhmVjvZvoHN.png",
"name": "RTL-TVI",
"origin_country": "BE"
}
],
"next_episode_to_air": null,
"number_of_episodes": 4,
"number_of_seasons": 5,
"origin_country": [
"BE"
],
"original_language": "fr",
"original_name": "Planète Zoo",
"overview": "",
"popularity": 0,
"poster_path": "/r8dnSioXWg8kqAKpNVkSNuGCDZk.jpg",
"production_companies": [
{
"id": 2208,
"logo_path": "/lyo2nqmPCpXBWvMIQhmVjvZvoHN.png",
"name": "RTL-TVi",
"origin_country": "BE"
},
{
"id": 202584,
"logo_path": "/xzwuvF1SmLz0O1TunE2eMWq8Rdn.png",
"name": "RTL Belgium",
"origin_country": "BE"
}
],
"production_countries": [
{
"iso_3166_1": "BE",
"name": "Belgium"
}
],
"seasons": [
{
"air_date": "2019-10-05",
"episode_count": 1,
"id": 436477,
"name": "Season 1",
"overview": "",
"poster_path": null,
"season_number": 1,
"vote_average": 0
},
{
"air_date": null,
"episode_count": 0,
"id": 436478,
"name": "Season 2",
"overview": "",
"poster_path": null,
"season_number": 2,
"vote_average": 0
},
{
"air_date": null,
"episode_count": 0,
"id": 436479,
"name": "Season 3",
"overview": "",
"poster_path": null,
"season_number": 3,
"vote_average": 0
},
{
"air_date": null,
"episode_count": 0,
"id": 436480,
"name": "Season 4",
"overview": "",
"poster_path": null,
"season_number": 4,
"vote_average": 0
},
{
"air_date": "2023-03-05",
"episode_count": 3,
"id": 436481,
"name": "Season 5",
"overview": "",
"poster_path": null,
"season_number": 5,
"vote_average": 0
}
],
"spoken_languages": [
{
"english_name": "French",
"iso_639_1": "fr",
"name": "Français"
}
],
"status": "Returning Series",
"tagline": "",
"type": "Documentary",
"vote_average": 0,
"vote_count": 0
}TV SERIES
Latest
This endpoint get the newest TV show ID.
GET
/
3
/
tv
/
latest
Latest
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
latest
Example:
false
Example:
"/7znzkZqpnFgStYsb7NJdJ0RfbHD.jpg"
Show child attributes
Show child attributes
Example:
[
{
"credit_id": "677affb4816b2810d166fe5c",
"gender": 0,
"id": 4852413,
"name": "Ludovic Daxhelet",
"original_name": "Ludovic Daxhelet",
"profile_path": "/pZPAX2jRDyyCgi3m6bhoUGuFJy0.jpg"
}
]
Example:
[30]
Example:
"2019-10-05"
Show child attributes
Show child attributes
Example:
[
{ "id": 99, "name": "Documentary" },
{ "id": 10751, "name": "Family" }
]
Example:
"https://www.rtlplay.be/rtlplay/planete-zoo~d3a41ba7-2618-476e-84ca-c9e4777b9863/saison-5#episodes"
Example:
281223
Example:
true
Example:
["fr"]
Example:
"2023-03-19"
Show child attributes
Show child attributes
Example:
"Planète Zoo"
Show child attributes
Show child attributes
Example:
[
{
"id": 1846,
"logo_path": "/lyo2nqmPCpXBWvMIQhmVjvZvoHN.png",
"name": "RTL-TVI",
"origin_country": "BE"
}
]
Example:
4
Example:
5
Example:
["BE"]
Example:
"fr"
Example:
"Planète Zoo"
Example:
""
Example:
0
Example:
"/r8dnSioXWg8kqAKpNVkSNuGCDZk.jpg"
Show child attributes
Show child attributes
Example:
[
{
"id": 2208,
"logo_path": "/lyo2nqmPCpXBWvMIQhmVjvZvoHN.png",
"name": "RTL-TVi",
"origin_country": "BE"
},
{
"id": 202584,
"logo_path": "/xzwuvF1SmLz0O1TunE2eMWq8Rdn.png",
"name": "RTL Belgium",
"origin_country": "BE"
}
]
Show child attributes
Show child attributes
Example:
[{ "iso_3166_1": "BE", "name": "Belgium" }]
Show child attributes
Show child attributes
Example:
[
{
"air_date": "2019-10-05",
"episode_count": 1,
"id": 436477,
"name": "Season 1",
"overview": "",
"poster_path": null,
"season_number": 1,
"vote_average": 0
},
{
"air_date": null,
"episode_count": 0,
"id": 436478,
"name": "Season 2",
"overview": "",
"poster_path": null,
"season_number": 2,
"vote_average": 0
},
{
"air_date": null,
"episode_count": 0,
"id": 436479,
"name": "Season 3",
"overview": "",
"poster_path": null,
"season_number": 3,
"vote_average": 0
},
{
"air_date": null,
"episode_count": 0,
"id": 436480,
"name": "Season 4",
"overview": "",
"poster_path": null,
"season_number": 4,
"vote_average": 0
},
{
"air_date": "2023-03-05",
"episode_count": 3,
"id": 436481,
"name": "Season 5",
"overview": "",
"poster_path": null,
"season_number": 5,
"vote_average": 0
}
]
Show child attributes
Show child attributes
Example:
[
{
"english_name": "French",
"iso_639_1": "fr",
"name": "Français"
}
]
Example:
"Returning Series"
Example:
""
Example:
"Documentary"
Example:
0
Example:
0
⌘I